1. Metadata
Backoffice API
  • Back to home
  • Community
  • Events
    • Blocks
      • Event blocks by id
      • Manage Event blocks by id
      • Event Block entries by ids
      • Manage Event Block entries by ids
    • Metadata
      • All Event Metadata
      • Update all Event Metadata
    • List events
      GET
    • Create Event
      POST
    • Event by id
      GET
    • Update Event by id
      PATCH
    • Remove Event by id
      DELETE
    • Event occurrences by id
      GET
    • Update Event Block by ids
      PATCH
    • Switch Profile Type by Event id
      POST
    • Change event's workspace
      POST
  • Organizations
    • Blocks
      • Organization blocks by id
      • Manage Organization blocks by id
      • Organization Block entries by ids
      • Manage Organization Block entries by ids
    • Metadata
      • All Organization Metadata
      • Update all Organization Metadata
    • List organizations
      GET
    • Create Organization
      POST
    • Organization by id
      GET
    • Update Organization by id
      PATCH
    • Remove Organization by id
      DELETE
    • Update Organization Block by ids
      PATCH
    • Switch Profile Type by Organization id
      POST
    • Change organization's workspace
      POST
  • People
    • Blocks
      • Person blocks by id
      • Manage Person blocks by id
      • Person Block entries by ids
      • Manage Person Block entries by ids
    • Metadata
      • All Person Metadata
        GET
      • Update all Person Metadata
        PUT
    • List people
      GET
    • Create Person
      POST
    • Person by id
      GET
    • Update Person by id
      PATCH
    • Remove Person by id
      DELETE
    • Update Person Block by ids
      PATCH
    • Switch Profile Type by Person id
      POST
    • Change person's workspace
      POST
  • Projects
    • Blocks
      • Project blocks by id
      • Manage Project blocks by id
      • Project Block entries by ids Copy
      • Manage Project Block entries by ids
    • Metadata
      • All Project Metadata
      • Update all Project Metadata
    • List projects
    • Create Project
    • Project by id
    • Update Project by id
    • Remove Project by id
    • Update Project Block by ids
    • Switch Profile Type by Project id
    • Change project's workspace
  1. Metadata

Update all Person Metadata

PUT
/community/v2/people/{person_id}/metadata

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Invalid UUID
🟠400Bad Request
🟠401Unauthorized API KEY
🟠403Unauthorized roles
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request PUT 'https://prod.your-api-server.com/community/v2/people/{{community_person_id}}/metadata' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "key": "string",
        "value": "string"
    }
]'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "key": "string",
            "value": "string"
        }
    ]
}
Modified at 2026-03-05 16:29:25
Previous
All Person Metadata
Next
List people
Built with